# kyotocabinet::TSD< TYPE > Class Template Reference

Smart pointer to thread specific data. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions

| TSD ()
| Default constructor.
| ~TSD ()
| Destructor.
TYPE & | operator* ()
| Dereference operator.
TYPE * | operator-> ()
| Member reference operator.
| operator TYPE () const
| Cast operator to the original type.

## Detailed Description

### template<class TYPE>
class kyotocabinet::TSD< TYPE >

Smart pointer to thread specific data.

## Constructor & Destructor Documentation

template<class TYPE>

kyotocabinet::TSD< TYPE >::TSD | ( |  | ) | `[explicit]`

Default constructor.

template<class TYPE>

kyotocabinet::TSD< TYPE >::~TSD | ( |  | ) |

Destructor.

## Member Function Documentation

template<class TYPE>

TYPE& kyotocabinet::TSD< TYPE >::operator* | ( |  | ) |

Dereference operator.

Returns:
  the reference to the inner object.

template<class TYPE>

TYPE* kyotocabinet::TSD< TYPE >::operator-> | ( |  | ) |

Member reference operator.

Returns:
  the pointer to the inner object.

template<class TYPE>

kyotocabinet::TSD< TYPE >::operator TYPE | ( |  | ) | const

Cast operator to the original type.

Returns:
  the copy of the inner object.